## polyorb 2.8~20110207

=== testsuite/corba/performance/java/Makefile ===

all:
	idlj -fall benchs.idl
	javac benchsServer.java benchsPackage/*.java
#	orbd -ORBInitialPort 1050 -ORBInitialHost localhost
	java benchsServer -ORBInitialPort 1050 -ORBInitialHost localhost

clean:
	rm -rf *.class \
		benchsHelper.java \
		benchs.java \
		benchsPOA.java \
		benchsHolder.java \
		benchsOperations.java \
		_benchsStub.java \
		benchsPackage

=== examples/corba/send/interop/tao/Makefile ===
#----------------------------------------------------------------------------
#       Local macros
#----------------------------------------------------------------------------

ifndef TAO_ROOT
  TAO_ROOT = $(ACE_ROOT)/TAO
endif # ! TAO_ROOT

vpath %.idl ../../
IDL_FILES = print
IDL_SRC = printC.cpp printS.cpp
BIN_UNCHECKED = send listener

SRC = $(addsuffix .cpp, $(BIN) Printer) $(IDL_SRC)

SEND_OBJS = send.o printC.o
LISTENER_OBJS = listener.o Printer.o $(IDL_SRC:.cpp=.o)

TAO_IDLFLAGS += -Ge 1
#----------------------------------------------------------------------------
#       Include macros and targets
#----------------------------------------------------------------------------

include $(ACE_ROOT)/include/makeinclude/wrapper_macros.GNU
include $(ACE_ROOT)/include/makeinclude/macros.GNU
include $(TAO_ROOT)/rules.tao.GNU

#### If the TAO orbsvcs library wasn't built with sufficient components,
#### don't try to build here.
TAO_ORBSVCS := $(shell sh $(ACE_ROOT)/bin/ace_components --orbsvcs)
ifeq (PortableGroup,$(findstring PortableGroup,$(TAO_ORBSVCS)))
  BIN = $(BIN_UNCHECKED)
endif # PortableGroup

include $(ACE_ROOT)/include/makeinclude/rules.common.GNU
include $(ACE_ROOT)/include/makeinclude/rules.nonested.GNU
include $(ACE_ROOT)/include/makeinclude/rules.local.GNU
include $(TAO_ROOT)/taoconfig.mk

#----------------------------------------------------------------------------
#       Local targets
#----------------------------------------------------------------------------

.PRECIOUS: $(foreach ext, $(IDL_EXT), print$(ext))

listener: $(addprefix $(VDIR),$(LISTENER_OBJS))
	$(LINK.cc) $(LDFLAGS) -o $@ $^ -lTAO_PortableGroup $(TAO_SRVR_LIBS) $(POSTLINK)

send: $(addprefix $(VDIR),$(SEND_OBJS))
	$(LINK.cc) $(LDFLAGS) -o $@ $^ $(TAO_CLNT_LIBS) $(POSTLINK)

realclean: clean
	-$(RM) $(foreach ext, $(IDL_EXT), print$(ext))

# DO NOT DELETE THIS LINE -- g++dep uses it.
# DO NOT PUT ANYTHING AFTER THIS LINE, IT WILL GO AWAY.


.obj/send.o .obj/send.so .shobj/send.o .shobj/send.so: send.cpp printC.h \
  $(TAO_ROOT)/tao/corba.h \
  $(ACE_ROOT)/ace/pre.h \
  $(ACE_ROOT)/ace/post.h \
  $(ACE_ROOT)/ace/ace_wchar.h \
  $(ACE_ROOT)/ace/ace_wchar.inl \
  $(TAO_ROOT)/tao/corbafwd.h \
  $(ACE_ROOT)/ace/CDR_Base.h \
  $(ACE_ROOT)/ace/Basic_Types.h \
  $(ACE_ROOT)/ace/ACE_export.h \
  $(ACE_ROOT)/ace/Basic_Types.i \
  $(ACE_ROOT)/ace/Default_Constants.h \
  $(ACE_ROOT)/ace/CDR_Base.inl \
  $(TAO_ROOT)/tao/orbconf.h \
  $(ACE_ROOT)/ace/Global_Macros.h \
  $(ACE_ROOT)/ace/OS_Export.h \
  $(TAO_ROOT)/tao/TAO_Export.h \
  $(ACE_ROOT)/ace/OS_Memory.h \
  $(ACE_ROOT)/ace/OS_Errno.h \
  $(ACE_ROOT)/ace/OS_Errno.inl \
  $(ACE_ROOT)/ace/OS_Memory.inl \
  $(TAO_ROOT)/tao/corbafwd.i \
  $(TAO_ROOT)/tao/Typecode.h \
  $(ACE_ROOT)/ace/Hash_Map_Manager_T.h \
  $(ACE_ROOT)/ace/Functor.h \
  $(ACE_ROOT)/ace/ACE.h \
  $(ACE_ROOT)/ace/OS.h \
  $(ACE_ROOT)/ace/OS_Dirent.h \
  $(ACE_ROOT)/ace/OS_Dirent.inl \
  $(ACE_ROOT)/ace/OS_String.h \
  $(ACE_ROOT)/ace/OS_String.inl \
  $(ACE_ROOT)/ace/OS_TLI.h \
  $(ACE_ROOT)/ace/OS_TLI.inl \
  $(ACE_ROOT)/ace/Time_Value.h \
  $(ACE_ROOT)/ace/Time_Value.inl \
  $(ACE_ROOT)/ace/Min_Max.h \
  $(ACE_ROOT)/ace/streams.h \
  $(ACE_ROOT)/ace/Trace.h \
  $(ACE_ROOT)/ace/OS.i \
  $(ACE_ROOT)/ace/Flag_Manip.h \
  $(ACE_ROOT)/ace/Flag_Manip.i \
  $(ACE_ROOT)/ace/Handle_Ops.h \
  $(ACE_ROOT)/ace/Handle_Ops.i \
  $(ACE_ROOT)/ace/Lib_Find.h \
  $(ACE_ROOT)/ace/Lib_Find.i \
  $(ACE_ROOT)/ace/Init_ACE.h \
  $(ACE_ROOT)/ace/Init_ACE.i \
  $(ACE_ROOT)/ace/Sock_Connect.h \
  $(ACE_ROOT)/ace/Sock_Connect.i \
  $(ACE_ROOT)/ace/ACE.i \
  $(ACE_ROOT)/ace/Functor.i \
  $(ACE_ROOT)/ace/Functor_T.h \
  $(ACE_ROOT)/ace/Functor_T.i \
  $(ACE_ROOT)/ace/Functor_T.cpp \
  $(ACE_ROOT)/ace/Log_Msg.h \
  $(ACE_ROOT)/ace/Log_Priority.h \
  $(ACE_ROOT)/ace/OS_Log_Msg_Attributes.h \
  $(ACE_ROOT)/ace/OS_Log_Msg_Attributes.inl \
  $(ACE_ROOT)/ace/Hash_Map_Manager_T.i \
  $(ACE_ROOT)/ace/Synch.h \
  $(ACE_ROOT)/ace/Synch.i \
  $(ACE_ROOT)/ace/Synch_T.h \
  $(ACE_ROOT)/ace/Synch_T.i \
  $(ACE_ROOT)/ace/Thread.h \
  $(ACE_ROOT)/ace/Thread_Adapter.h \
  $(ACE_ROOT)/ace/Base_Thread_Adapter.h \
  $(ACE_ROOT)/ace/Base_Thread_Adapter.inl \
  $(ACE_ROOT)/ace/Thread_Adapter.inl \
  $(ACE_ROOT)/ace/Thread.i \
  $(ACE_ROOT)/ace/Synch_T.cpp \
  $(ACE_ROOT)/ace/Hash_Map_Manager_T.cpp \
  $(ACE_ROOT)/ace/Service_Config.h \
  $(ACE_ROOT)/ace/Unbounded_Queue.h \
  $(ACE_ROOT)/ace/Node.h \
  $(ACE_ROOT)/ace/Node.cpp \
  $(ACE_ROOT)/ace/Unbounded_Queue.inl \
  $(ACE_ROOT)/ace/Unbounded_Queue.cpp \
  $(ACE_ROOT)/ace/Malloc_Base.h \
  $(ACE_ROOT)/ace/Unbounded_Set.h \
  $(ACE_ROOT)/ace/Unbounded_Set.inl \
  $(ACE_ROOT)/ace/Unbounded_Set.cpp \
  $(ACE_ROOT)/ace/SString.h \
  $(ACE_ROOT)/ace/SStringfwd.h \
  $(ACE_ROOT)/ace/String_Base.h \
  $(ACE_ROOT)/ace/String_Base_Const.h \
  $(ACE_ROOT)/ace/String_Base.i \
  $(ACE_ROOT)/ace/String_Base.cpp \
  $(ACE_ROOT)/ace/Malloc.h \
  $(ACE_ROOT)/ace/Malloc.i \
  $(ACE_ROOT)/ace/Malloc_T.h \
  $(ACE_ROOT)/ace/Malloc_Allocator.h \
  $(ACE_ROOT)/ace/Malloc_Allocator.i \
  $(ACE_ROOT)/ace/Free_List.h \
  $(ACE_ROOT)/ace/Free_List.i \
  $(ACE_ROOT)/ace/Free_List.cpp \
  $(ACE_ROOT)/ace/Malloc_T.i \
  $(ACE_ROOT)/ace/Malloc_T.cpp \
  $(ACE_ROOT)/ace/Memory_Pool.h \
  $(ACE_ROOT)/ace/Event_Handler.h \
  $(ACE_ROOT)/ace/Event_Handler.i \
  $(ACE_ROOT)/ace/Signal.h \
  $(ACE_ROOT)/ace/Signal.i \
  $(ACE_ROOT)/ace/Mem_Map.h \
  $(ACE_ROOT)/ace/Mem_Map.i \
  $(ACE_ROOT)/ace/SV_Semaphore_Complex.h \
  $(ACE_ROOT)/ace/SV_Semaphore_Simple.h \
  $(ACE_ROOT)/ace/SV_Semaphore_Simple.i \
  $(ACE_ROOT)/ace/SV_Semaphore_Complex.i \
  $(ACE_ROOT)/ace/Memory_Pool.i \
  $(ACE_ROOT)/ace/Auto_Ptr.h \
  $(ACE_ROOT)/ace/Auto_Ptr.i \
  $(ACE_ROOT)/ace/Auto_Ptr.cpp \
  $(ACE_ROOT)/ace/SString.i \
  $(ACE_ROOT)/ace/XML_Svc_Conf.h \
  $(ACE_ROOT)/ace/Service_Config.i \
  $(ACE_ROOT)/ace/Reactor.h \
  $(ACE_ROOT)/ace/Handle_Set.h \
  $(ACE_ROOT)/ace/Handle_Set.i \
  $(ACE_ROOT)/ace/Timer_Queue.h \
  $(ACE_ROOT)/ace/Timer_Queue_T.h \
  $(ACE_ROOT)/ace/Test_and_Set.h \
  $(ACE_ROOT)/ace/Test_and_Set.i \
  $(ACE_ROOT)/ace/Test_and_Set.cpp \
  $(ACE_ROOT)/ace/Timer_Queue_T.i \
  $(ACE_ROOT)/ace/Timer_Queue_T.cpp \
  $(ACE_ROOT)/ace/Reactor.i \
  $(ACE_ROOT)/ace/Reactor_Impl.h \
  $(ACE_ROOT)/ace/Svc_Conf_Tokens.h \
  $(TAO_ROOT)/tao/Exception.h \
  $(ACE_ROOT)/ace/CORBA_macros.h \
  $(ACE_ROOT)/ace/Exception_Macros.h \
  $(ACE_ROOT)/ace/iosfwd.h \
  $(TAO_ROOT)/tao/Exception.i \
  $(TAO_ROOT)/tao/Pseudo_VarOut_T.h \
  $(TAO_ROOT)/tao/Pseudo_VarOut_T.inl \
  $(TAO_ROOT)/tao/Pseudo_VarOut_T.cpp \
  $(TAO_ROOT)/tao/Typecode.i \
  $(TAO_ROOT)/tao/Any_Impl_T.h \
  $(TAO_ROOT)/tao/Any.h \
  $(ACE_ROOT)/ace/CDR_Stream.h \
  $(ACE_ROOT)/ace/Message_Block.h \
  $(ACE_ROOT)/ace/Message_Block.i \
  $(ACE_ROOT)/ace/Message_Block_T.h \
  $(ACE_ROOT)/ace/Message_Block_T.i \
  $(ACE_ROOT)/ace/Message_Block_T.cpp \
  $(ACE_ROOT)/ace/CDR_Stream.i \
  $(TAO_ROOT)/tao/Object.h \
  $(TAO_ROOT)/tao/Policy_ForwardC.h \
  $(TAO_ROOT)/tao/Sequence.h \
  $(TAO_ROOT)/tao/Managed_Types.h \
  $(TAO_ROOT)/tao/Managed_Types.i \
  $(TAO_ROOT)/tao/Sequence.i \
  $(TAO_ROOT)/tao/Sequence_T.h \
  $(TAO_ROOT)/tao/Sequence_T.i \
  $(TAO_ROOT)/tao/Sequence_T.cpp \
  $(TAO_ROOT)/tao/Environment.h \
  $(TAO_ROOT)/tao/Environment.i \
  $(TAO_ROOT)/tao/CDR.h \
  $(TAO_ROOT)/tao/CDR.i \
  $(TAO_ROOT)/tao/Objref_VarOut_T.h \
  $(TAO_ROOT)/tao/varbase.h \
  $(TAO_ROOT)/tao/Objref_VarOut_T.inl \
  $(TAO_ROOT)/tao/Objref_VarOut_T.cpp \
  $(TAO_ROOT)/tao/Seq_Var_T.h \
  $(TAO_ROOT)/tao/Seq_Var_T.inl \
  $(TAO_ROOT)/tao/Seq_Var_T.cpp \
  $(TAO_ROOT)/tao/Seq_Out_T.h \
  $(TAO_ROOT)/tao/Seq_Out_T.inl \
  $(TAO_ROOT)/tao/Seq_Out_T.cpp \
  $(TAO_ROOT)/tao/Policy_ForwardC.i \
  $(TAO_ROOT)/tao/Object_KeyC.h \
  $(TAO_ROOT)/tao/Object_KeyC.i \
  $(TAO_ROOT)/tao/IOP_IORC.h \
  $(TAO_ROOT)/tao/OctetSeqC.h \
  $(TAO_ROOT)/tao/OctetSeqC.i \
  $(TAO_ROOT)/tao/VarOut_T.h \
  $(TAO_ROOT)/tao/VarOut_T.inl \
  $(TAO_ROOT)/tao/VarOut_T.cpp \
  $(TAO_ROOT)/tao/IOP_IORC.i \
  $(TAO_ROOT)/tao/Object.i \
  $(TAO_ROOT)/tao/Any.i \
  $(TAO_ROOT)/tao/Any_Impl_T.inl \
  $(TAO_ROOT)/tao/Any_Impl_T.cpp \
  $(TAO_ROOT)/tao/Marshal.h \
  $(TAO_ROOT)/tao/Marshal.i \
  $(TAO_ROOT)/tao/debug.h \
  $(TAO_ROOT)/tao/Any_Basic_Impl_T.h \
  $(TAO_ROOT)/tao/Any_Basic_Impl_T.inl \
  $(TAO_ROOT)/tao/Any_Basic_Impl_T.cpp \
  $(TAO_ROOT)/tao/Any_Special_Impl_T.h \
  $(TAO_ROOT)/tao/Any_Special_Impl_T.inl \
  $(TAO_ROOT)/tao/Any_Special_Impl_T.cpp \
  $(TAO_ROOT)/tao/Any_Special_Basic_Impl_T.h \
  $(TAO_ROOT)/tao/Any_Special_Basic_Impl_T.inl \
  $(TAO_ROOT)/tao/Any_Special_Basic_Impl_T.cpp \
  $(TAO_ROOT)/tao/Any_Array_Impl_T.h \
  $(TAO_ROOT)/tao/Any_Array_Impl_T.inl \
  $(TAO_ROOT)/tao/Any_Array_Impl_T.cpp \
  $(TAO_ROOT)/tao/Any_Dual_Impl_T.h \
  $(TAO_ROOT)/tao/Any_Dual_Impl_T.inl \
  $(TAO_ROOT)/tao/Any_Dual_Impl_T.cpp \
  $(TAO_ROOT)/tao/NVList.h \
  $(TAO_ROOT)/tao/NVList.i \
  $(TAO_ROOT)/tao/LocalObject.h \
  $(TAO_ROOT)/tao/LocalObject.i \
  $(TAO_ROOT)/tao/Principal.h \
  $(TAO_ROOT)/tao/Principal.i \
  $(TAO_ROOT)/tao/ORB.h \
  $(TAO_ROOT)/tao/ServicesC.h \
  $(TAO_ROOT)/tao/ServicesC.i \
  $(TAO_ROOT)/tao/CORBA_String.h \
  $(TAO_ROOT)/tao/CORBA_String.inl \
  $(TAO_ROOT)/tao/ObjectIdListC.h \
  $(TAO_ROOT)/tao/ObjectIdListC.i \
  $(TAO_ROOT)/tao/objectid.h \
  $(TAO_ROOT)/tao/PolicyC.h \
  $(TAO_ROOT)/tao/CurrentC.h \
  $(TAO_ROOT)/tao/CurrentC.i \
  $(TAO_ROOT)/tao/Remote_Object_Proxy_Impl.h \
  $(TAO_ROOT)/tao/Object_Proxy_Impl.h \
  $(TAO_ROOT)/tao/PolicyC.i \
  $(TAO_ROOT)/tao/ORB.i \
  $(TAO_ROOT)/tao/BoundsC.h \
  $(TAO_ROOT)/tao/BoundsC.i \
  $(TAO_ROOT)/tao/DomainC.h \
  $(TAO_ROOT)/tao/DomainC.i \
  $(TAO_ROOT)/tao/WrongTransactionC.h \
  $(TAO_ROOT)/tao/WrongTransactionC.i \
  $(TAO_ROOT)/tao/Array_VarOut_T.h \
  $(TAO_ROOT)/tao/Array_VarOut_T.inl \
  $(TAO_ROOT)/tao/Array_VarOut_T.cpp \
  $(TAO_ROOT)/tao/StringSeqC.h \
  $(TAO_ROOT)/tao/StringSeqC.i \
  $(TAO_ROOT)/tao/PortableInterceptorC.h \
  $(TAO_ROOT)/tao/PI_ForwardC.h \
  $(TAO_ROOT)/tao/PI_ForwardC.i \
  $(TAO_ROOT)/tao/DynamicC.h \
  $(TAO_ROOT)/tao/DynamicC.i \
  $(TAO_ROOT)/tao/Messaging_SyncScopeC.h \
  $(TAO_ROOT)/tao/Messaging_SyncScopeC.i \
  $(TAO_ROOT)/tao/IOPC.h \
  $(TAO_ROOT)/tao/IOP_CodecC.h \
  $(TAO_ROOT)/tao/IOP_CodecC.i \
  $(TAO_ROOT)/tao/IOPC.i \
  $(TAO_ROOT)/tao/PortableInterceptorC.i \
  printC.i \
  $(ACE_ROOT)/ace/Get_Opt.h \
  $(ACE_ROOT)/ace/Containers.h \
  $(ACE_ROOT)/ace/Containers.i \
  $(ACE_ROOT)/ace/Containers_T.h \
  $(ACE_ROOT)/ace/Array_Base.h \
  $(ACE_ROOT)/ace/Array_Base.inl \
  $(ACE_ROOT)/ace/Array_Base.cpp \
  $(ACE_ROOT)/ace/Containers_T.i \
  $(ACE_ROOT)/ace/Containers_T.cpp \
  $(ACE_ROOT)/ace/Get_Opt.i

.obj/listener.o .obj/listener.so .shobj/listener.o .shobj/listener.so: listener.cpp Printer.h \
  $(ACE_ROOT)/ace/pre.h \
  printS.h printC.h \
  $(TAO_ROOT)/tao/corba.h \
  $(ACE_ROOT)/ace/post.h \
  $(ACE_ROOT)/ace/ace_wchar.h \
  $(ACE_ROOT)/ace/ace_wchar.inl \
  $(TAO_ROOT)/tao/corbafwd.h \
  $(ACE_ROOT)/ace/CDR_Base.h \
  $(ACE_ROOT)/ace/Basic_Types.h \
  $(ACE_ROOT)/ace/ACE_export.h \
  $(ACE_ROOT)/ace/Basic_Types.i \
  $(ACE_ROOT)/ace/Default_Constants.h \
  $(ACE_ROOT)/ace/CDR_Base.inl \
  $(TAO_ROOT)/tao/orbconf.h \
  $(ACE_ROOT)/ace/Global_Macros.h \
  $(ACE_ROOT)/ace/OS_Export.h \
  $(TAO_ROOT)/tao/TAO_Export.h \
  $(ACE_ROOT)/ace/OS_Memory.h \
  $(ACE_ROOT)/ace/OS_Errno.h \
  $(ACE_ROOT)/ace/OS_Errno.inl \
  $(ACE_ROOT)/ace/OS_Memory.inl \
  $(TAO_ROOT)/tao/corbafwd.i \
  $(TAO_ROOT)/tao/Typecode.h \
  $(ACE_ROOT)/ace/Hash_Map_Manager_T.h \
  $(ACE_ROOT)/ace/Functor.h \
  $(ACE_ROOT)/ace/ACE.h \
  $(ACE_ROOT)/ace/OS.h \
  $(ACE_ROOT)/ace/OS_Dirent.h \
  $(ACE_ROOT)/ace/OS_Dirent.inl \
  $(ACE_ROOT)/ace/OS_String.h \
  $(ACE_ROOT)/ace/OS_String.inl \
  $(ACE_ROOT)/ace/OS_TLI.h \
  $(ACE_ROOT)/ace/OS_TLI.inl \
  $(ACE_ROOT)/ace/Time_Value.h \
  $(ACE_ROOT)/ace/Time_Value.inl \
  $(ACE_ROOT)/ace/Min_Max.h \
  $(ACE_ROOT)/ace/streams.h \
  $(ACE_ROOT)/ace/Trace.h \

## polyorb 2.6.0~20090423

=== debian/changelog ===
polyorb (2.6.0~20090423-9) unstable; urgency=low

  * Use configurable number of build processes (Closes: #575336).
  * Switch to dpkg-source 3.0 (quilt) format.

 -- Reto Buerki <reet@codelabs.ch>  Tue, 06 Apr 2010 08:57:51 +0200

polyorb (2.6.0~20090423-8) unstable; urgency=low

  * 2.6.0~20090423-6 reached testing
  * Fix typo in changelog to really close #573174 bug
    Closes: #573174.

 -- Xavier Grave <xavier.grave@ipno.in2p3.fr>  Wed, 24 Mar 2010 14:05:36 +0100

polyorb (2.6.0~20090423-7) experimental; urgency=low

  * Apply a patch to backport NF-27-IC22-022 from 2.7 version
    This patch allow users to use -gnaty option without it applying
    to the code generated by po_gnatdist
    Close: #573174.
  * Move po_gnatdist from polyorb-servers package to libpolyorb1-dev
    - po_gnatdist isn't a server, it's a compiler tool

 -- Xavier Grave <xavier.grave@ipno.in2p3.fr>  Tue, 09 Mar 2010 23:31:36 +0100

polyorb (2.6.0~20090423-6) unstable; urgency=low

  [Reto Buerki]
  * Disable CORBA/MIOP test (Closes: #568814, #571436).

  [Ludovic Brenta]
  * debian/control (DM-Upload-Allowed): yes.

 -- Reto Buerki <reet@codelabs.ch>  Thu, 04 Mar 2010 20:51:55 +0100

polyorb (2.6.0~20090423-5) unstable; urgency=low

  * Use 127.0.0.1 as iiop default_addr in tests (Closes: #562342).
  * Update to Standards-Version 3.8.4 (no changes).

 -- Reto Buerki <reet@codelabs.ch>  Fri, 29 Jan 2010 00:11:49 +0100

polyorb (2.6.0~20090423-4) unstable; urgency=low

  [Xavier Grave]
  * debian/patches/bug-562192.patch: new; remove -fcheck-stack option
    Closes: #562192.

 -- Xavier Grave <xavier.grave@ipno.in2p3.fr>  Tue, 26 Jan 2010 18:44:00 +0100

polyorb (2.6.0~20090423-3) unstable; urgency=low

  [Reto Buerki]
  * debian/patches/testsuite-combined-output.patch: new; send test output to
    both stdout and a file so we can examine failures in the buildd logs.
  * debian/control: Fix debhelper-but-no-misc-depends lintian warning.

  [Ludovic Brenta]
  * debian/control (Build-Depends): tighten to gnat-4.4 (>= 4.4.2-6).
    Closes: #561156.

  [Xavier Grave]
  * debian/patches/bug-561121.patch: new; compile xe.adb with -O1 instead of
    -O2 to fix FTBFS on sparc.
    Closes: #561121.

 -- Ludovic Brenta <lbrenta@debian.org>  Tue, 19 Jan 2010 23:07:28 +0100

polyorb (2.6.0~20090423-2) unstable; urgency=low

  * Add ia64 to Architecture (Closes: #561223).
  * Add python to Build-Depends (Closes: #561158).

 -- Reto Buerki <reet@codelabs.ch>  Sat, 19 Dec 2009 22:35:59 +0100

polyorb (2.6.0~20090423-1) unstable; urgency=low

  [Xavier Grave, Reto Buerki]
  * Initial release (Closes: #517404) based on the upstream subversion
    revision r144260, date 2009-04-23.  Revisions after that (such as
    PolyORB GPL 2009 Edition) require gnat-4.5 which is not yet
    available.
  * Enabled application personalities in this upload:
    MOMA: Message-Oriented Middleware Architecture
    CORBA: Common Object Request Broker Architecture
    DSA: Ada Distributed Systems Annex (see README.Debian)

  [Ludovic Brenta]
  * Sponsor the package.
  * Split the package building into arch-dependent and arch-independent
    parts.

 -- Ludovic Brenta <lbrenta@debian.org>  Sat, 12 Dec 2009 09:59:10 +0100

=== debian/control ===
Source: polyorb
Section: net
Priority: optional
Maintainer: Reto Buerki <reet@codelabs.ch>
Uploaders: Xavier Grave <xavier.grave@ipno.in2p3.fr>, Ludovic Brenta <lbrenta@debian.org>
DM-Upload-Allowed: yes
Build-Depends: debhelper (>= 7),
 automake, autotools-dev, libtool, gnat, gnat-4.4 (>= 4.4.2-6), python
Build-Depends-Indep: ghostscript, texi2html,
 texlive-formats-extra, texlive-generic-recommended, transfig, texinfo
Standards-Version: 3.8.4
Homepage: http://libre.adacore.com/libre/tools/polyorb/

Package: polyorb-servers
Architecture: amd64 hppa i386 ia64 kfreebsd-amd64 kfreebsd-i386 mips mipsel powerpc ppc64 s390 sparc
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: Multiple-personality middleware for Ada (servers)
 PolyORB provides a uniform solution to build distributed applications; relying
 either on industrial-strength middleware standards such as CORBA, the
 Distributed System Annex of Ada 95, distribution programming paradigms such as
 Web Services, Message Oriented Middleware (MOM), or to implement
 application-specific middleware.
 .
 This package provides various middleware servers needed to run a distributed
 application and tools to interact with these servers.

Package: libpolyorb1-dev
Section: libdevel
Architecture: amd64 hppa i386 ia64 kfreebsd-amd64 kfreebsd-i386 mips mipsel powerpc ppc64 s390 sparc
Depends: ${misc:Depends}, ${shlibs:Depends}, libpolyorb2 (= ${binary:Version}), g++, gnat, gnat-4.4
Recommends: polyorb-servers (= ${binary:Version})
Description: Multiple-personality middleware for Ada (development)
 PolyORB provides a uniform solution to build distributed applications; relying
 either on industrial-strength middleware standards such as CORBA, the
 Distributed System Annex of Ada 95, distribution programming paradigms such as
 Web Services, Message Oriented Middleware (MOM), or to implement
 application-specific middleware.
 .
 This package provides the development files and utilities necessary to develop
 distributed applications using PolyORB.
 .
 Distributed applications will also require the polyorb-servers package but not
 necessarily on the same machine.

Package: libpolyorb2
Section: libs
Architecture: amd64 hppa i386 ia64 kfreebsd-amd64 kfreebsd-i386 mips mipsel powerpc ppc64 s390 sparc
Depends: ${shlibs:Depends}, ${misc:Depends}
Recommends: polyorb-servers (= ${binary:Version})
Description: Multiple-personality middleware for Ada
 PolyORB provides a uniform solution to build distributed applications; relying
 either on industrial-strength middleware standards such as CORBA, the
 Distributed System Annex of Ada 95, distribution programming paradigms such as
 Web Services, Message Oriented Middleware (MOM), or to implement
 application-specific middleware.
 .
 Distributed applications will also require the polyorb-servers package but not
 necessarily on the same machine.

Package: polyorb-doc
Section: doc
Architecture: all
Depends: ${misc:Depends}
Recommends: libpolyorb1-dev (= ${binary:Version})
Description: Multiple-personality middleware for Ada (documentation)
 PolyORB provides a uniform solution to build distributed applications; relying
 either on industrial-strength middleware standards such as CORBA, the
 Distributed System Annex of Ada 95, distribution programming paradigms such as
 Web Services, Message Oriented Middleware (MOM), or to implement
 application-specific middleware.
 .
 This package contains the documentation and examples.

Package: libpolyorb-dbg
Section: debug
Priority: extra
Architecture: amd64 hppa i386 ia64 kfreebsd-amd64 kfreebsd-i386 mips mipsel powerpc ppc64 s390 sparc
Depends: ${misc:Depends}, libpolyorb2 (= ${binary:Version}), libpolyorb1-dev (= ${binary:Version})
Description: Multiple-personality middleware for Ada (debug)
 PolyORB provides a uniform solution to build distributed applications; relying
 either on industrial-strength middleware standards such as CORBA, the
 Distributed System Annex of Ada 95, distribution programming paradigms such as
 Web Services, Message Oriented Middleware (MOM), or to implement
 application-specific middleware.
 .
 This package contains the debugging symbols.

## polyorb 2.8~20110207

=== debian/changelog ===
polyorb (2.8~20110207-5.1) unstable; urgency=low

  * Non-maintainer upload with maintainer approval.
  * libpolyorb2-dev: Add Conflicts/Replaces: libpolyorb1-dev due to file
    conflict on /usr/bin/iac.  (Closes: #699197)
  * libpolyorb3.postinst: Cleanup the diversion created by 2.8~20110207-[34].
    (Closes: #692780)

 -- Andreas Beckmann <anbe@debian.org>  Mon, 04 Feb 2013 17:17:05 +0100

polyorb (2.8~20110207-5) unstable; urgency=low

  * remove diversion of manpage polyorb.7
    the man page isn't put in any package since it contains general information
    not very usefull
    Closes: #688299

 -- Xavier Grave <xavier.grave@ipno.in2p3.fr>  Sat, 29 Sep 2012 09:48:41 +0200

polyorb (2.8~20110207-4) unstable; urgency=low

  * remove the testsuite run as part of the build
    one can still use the run_testsuite target if necessary
    Closes: #674098
    Closes: #676747
  * remove kfreebsd-* architectures to prevent FTBFS

 -- Xavier Grave <xavier.grave@ipno.in2p3.fr>  Wed, 13 Jun 2012 22:02:25 +0200

polyorb (2.8~20110207-3) unstable; urgency=low

  * divert polyorb.7 manpage in libpolyorb3
    both packages needs this manpage related to configuration
    both packages can coexist
    Closes: #673982
  * fix lintian error about object files in doc package

 -- Xavier Grave <xavier.grave@ipno.in2p3.fr>  Thu, 31 May 2012 14:31:02 +0200

polyorb (2.8~20110207-2) unstable; urgency=low

  [Nicolas Boulenguez]
  * use dh-ada-library
    - simplify debian/rules
      compute -j option
  * use gnatgcc instead of gcc
  [Xavier Grave]
  * fix FTBFS on all architectures
    python-gnatpython moved to Build-Depends instead of Build-Depends-Indep
  * hardening (lintian warnings)
    removed 40 warnings, still some warnings

 -- Xavier Grave <xavier.grave@ipno.in2p3.fr>  Tue, 22 May 2012 10:30:50 +0200

polyorb (2.8~20110207-1) unstable; urgency=low

  [Xavier Grave]
  * new upstream version : 2.8~20110207 (Subversion revision 170156) chosen
    because it immediately precedes a change of
    System.Partition_Interface.PCS_Version, which requires gnat > 4.6.
    - use 0f4393e4f6d42f8d093a29b8fa35aebf4eb4a5f4 from
      com.adacore.polyorb.debian
  * patches adaptation
    - adapt and remove some patches
  * Build with gnat-4.6. Closes: #642825.
  * Debhelper compatibility level 8.
  * Take new gcc-multilib scheme into account
    - put libs in /usr/lib/$(DEB_HOST_MULTIHARCH)
    - modify control file accordingly
  * take new testsuite scheme into account
    - remove some CORBA broken patches
        SHUTDOWN_1
        ALL_TYPES_2
        ALL_TYPES_3
        ALL_FUNCTIONS_2
        ALL_FUNCTIONS_3

  [Reto Buerki]
  * Drop bug-575954.patch (fixed in gnat 4.6)

 -- Xavier Grave <xavier.grave@ipno.in2p3.fr>  Wed, 16 May 2012 11:11:46 +0200

polyorb (2.6.0~20090423-10) unstable; urgency=low

  * Fix "bashism in /bin/sh script"
    - echo -e "y\ny" was replaced by printf "y\ny\n" in the three .in files
      done in patch bug-581134.patch
    (Closes: #581134)

 -- Xavier Grave <xavier.grave@ipno.in2p3.fr>  Sun, 16 May 2010 19:46:58 +0200

=== debian/control ===
--- 
+++ 
@@ -1,18 +1,21 @@
 Source: polyorb
 Section: net
 Priority: optional
-Maintainer: Reto Buerki <reet@codelabs.ch>
-Uploaders: Xavier Grave <xavier.grave@ipno.in2p3.fr>, Ludovic Brenta <lbrenta@debian.org>
+Maintainer: Xavier Grave <xavier.grave@ipno.in2p3.fr>
+Uploaders: Ludovic Brenta <lbrenta@debian.org>
 DM-Upload-Allowed: yes
-Build-Depends: debhelper (>= 7),
- automake, autotools-dev, libtool, gnat, gnat-4.4 (>= 4.4.2-6), python
+Build-Depends: debhelper (>= 8.9.7), dpkg-dev (>= 1.16.1),
+ dh-ada-library, python-gnatpython,
+ automake, autotools-dev, libtool, gnat, gnat-4.6, python
 Build-Depends-Indep: ghostscript, texi2html,
  texlive-formats-extra, texlive-generic-recommended, transfig, texinfo
-Standards-Version: 3.8.4
+Standards-Version: 3.9.3
+Vcs-Browser: http://www.ada-france.org:8081/branch/changes/org.debian.polyorb
+Vcs-Mtn: www.ada-france.org org.debian.polyorb
 Homepage: http://libre.adacore.com/libre/tools/polyorb/
 
 Package: polyorb-servers
-Architecture: amd64 hppa i386 ia64 kfreebsd-amd64 kfreebsd-i386 mips mipsel powerpc ppc64 s390 sparc
+Architecture: amd64 hppa i386 ia64 mips mipsel powerpc ppc64 s390 sparc
 Depends: ${shlibs:Depends}, ${misc:Depends}
 Description: Multiple-personality middleware for Ada (servers)
  PolyORB provides a uniform solution to build distributed applications; relying
@@ -24,10 +27,12 @@
  This package provides various middleware servers needed to run a distributed
  application and tools to interact with these servers.
 
-Package: libpolyorb1-dev
+Package: libpolyorb2-dev
 Section: libdevel
-Architecture: amd64 hppa i386 ia64 kfreebsd-amd64 kfreebsd-i386 mips mipsel powerpc ppc64 s390 sparc
-Depends: ${misc:Depends}, ${shlibs:Depends}, libpolyorb2 (= ${binary:Version}), g++, gnat, gnat-4.4
+Architecture: amd64 hppa i386 ia64 mips mipsel powerpc ppc64 s390 sparc
+Depends: ${misc:Depends}, ${shlibs:Depends}, libpolyorb3 (= ${binary:Version}), g++, gnat-4.6
+Conflicts: libpolyorb1-dev, libpolyorb2-dev
+Replaces: libpolyorb1-dev, libpolyorb2-dev
 Recommends: polyorb-servers (= ${binary:Version})
 Description: Multiple-personality middleware for Ada (development)
  PolyORB provides a uniform solution to build distributed applications; relying
@@ -42,10 +47,12 @@
  Distributed applications will also require the polyorb-servers package but not
  necessarily on the same machine.
 
-Package: libpolyorb2
+Package: libpolyorb3
 Section: libs
-Architecture: amd64 hppa i386 ia64 kfreebsd-amd64 kfreebsd-i386 mips mipsel powerpc ppc64 s390 sparc
+Architecture: amd64 hppa i386 ia64 mips mipsel powerpc ppc64 s390 sparc
+Pre-Depends: ${misc:Pre-Depends}
 Depends: ${shlibs:Depends}, ${misc:Depends}
+Multi-Arch: same
 Recommends: polyorb-servers (= ${binary:Version})
 Description: Multiple-personality middleware for Ada
  PolyORB provides a uniform solution to build distributed applications; relying
@@ -61,7 +68,7 @@
 Section: doc
 Architecture: all
 Depends: ${misc:Depends}
-Recommends: libpolyorb1-dev (= ${binary:Version})
+Recommends: libpolyorb2-dev (= ${binary:Version})
 Description: Multiple-personality middleware for Ada (documentation)
  PolyORB provides a uniform solution to build distributed applications; relying
  either on industrial-strength middleware standards such as CORBA, the
@@ -74,8 +81,8 @@
 Package: libpolyorb-dbg
 Section: debug
 Priority: extra
-Architecture: amd64 hppa i386 ia64 kfreebsd-amd64 kfreebsd-i386 mips mipsel powerpc ppc64 s390 sparc
-Depends: ${misc:Depends}, libpolyorb2 (= ${binary:Version}), libpolyorb1-dev (= ${binary:Version})
+Architecture: amd64 hppa i386 ia64 mips mipsel powerpc ppc64 s390 sparc
+Depends: ${misc:Depends}, libpolyorb3 (= ${binary:Version}), libpolyorb2-dev (= ${binary:Version})
 Description: Multiple-personality middleware for Ada (debug)
  PolyORB provides a uniform solution to build distributed applications; relying
  either on industrial-strength middleware standards such as CORBA, the

=== debian/rules ===
#!/usr/bin/make -f

include /usr/share/dpkg/default.mk
include /usr/share/ada/debian_packaging.mk

#                         2 .   8   ~20110207 -1
regexp := ^Version: ([^.]+)\.([^.]+)~([^-]*)-(.*)
major  := $(shell echo $(DEB_VERSION) | sed -r 's/$(regexp)/\1/')
minor  := $(shell echo $(DEB_VERSION) | sed -r 's/$(regexp)/\2/')
date   := $(shell echo $(DEB_VERSION) | sed -r 's/$(regexp)/\3/')
upload := $(shell echo $(DEB_VERSION) | sed -r 's/$(regexp)/\4/')
aliversion := $(shell sed -n -r 's/^Package: libpolyorb(.*)-dev$$/\1/p' debian/control)
soversion := $(shell sed -n -r 's/^Package: libpolyorb([^-]+)$$/\1/p' debian/control)

debian_libdir = debian/tmp/usr/lib

revision = 0f4393e4f6d42f8d093a29b8fa35aebf4eb4a5f4
orig_dir = polyorb.orig
orig_tgz = polyorb.orig.tar.gz
orig_pkg_dir = polyorb-$(major).$(minor)~$(date).orig
orig_pkg_tgz = polyorb_$(major).$(minor)~$(date).orig.tar.gz
branch   = com.adacore.polyorb.debian
mtndb    = polyorb.mtn
mtn_uri :=  mtn://www.ada-france.org?com.adacore.polyorb.debian

binary binary-arch binary-indep build build-arch build-indep install clean:
	dh $@

# Ignore upstream tests, if any.
override_dh_auto_test:

test_env:
	@echo "major=" $(major)
	@echo "minor=" $(minor)
	@echo "date=" $(date)
	@echo "aliversion=" $(aliversion)
	@echo "soversion=" $(soversion)
	@echo "upload=" $(upload)

get-orig-source:
	if [ ! -e ../$(mtndb) ]; then \
		mtn -d../$(mtndb) db init; \
	fi; \
	TMPDIR=$$(mktemp --tmpdir --directory polyorb-get-orig-source-XXXXXXXXXX) && \
	mtn clone -d ../$(mtndb) $(mtn_uri) -k "" $$TMPDIR/$(orig_dir) && \
	chmod uog-x $$TMPDIR/$(orig_dir)/examples/corba/send/print.idl && \
	(cd $$TMPDIR && tar --create --gzip --exclude="_MTN" $(orig_dir)) > $(orig_tgz) ; \
	rm -rf $$TMPDIR
	@echo "The file $(orig_tgz) contains the latest Debian snapshot of upstream sources."

get-pkg-source:
	TMPDIR=$$(mktemp --tmpdir --directory polyorb-get-orig-source-XXXXXXXXXX) && \
	if [ ! -e ../$(mtndb) ]; then \
		mtn -d../$(mtndb) db init; \
	fi; \
	mtn -d../$(mtndb) -k "" pull $(mtn_uri); \
	mtn -d../$(mtndb) co -r$(revision) -b$(branch) $$TMPDIR/$(orig_pkg_dir) && \
	chmod uog-x $$TMPDIR/$(orig_pkg_dir)/examples/corba/send/print.idl && \
	(cd $$TMPDIR && tar --create --gzip --exclude="_MTN" $(orig_pkg_dir)) > $(orig_pkg_tgz)
	rm -rf $$TMPDIR
	@echo "The file $(orig_pkg_tgz) contains the pkg Debian of upstream sources."

override_dh_auto_configure: configure
	ADA=gnatgcc ./configure --prefix=`pwd`/debian/tmp \
		--enable-debug \
		--with-appli-perso="corba moma dsa" \
		--with-proto-perso="giop" \
		--with-corba-services="event ir naming notification time"

configure: configure.ac
	support/reconfig

DIRS := STATIC/src DYNAMIC/src
$(DIRS):
	mkdir -p $@

EXAMPLES_EXE = polyorb/polyorb-test-thread_pool_poa
EXAMPLES_EXE += polyorb/polyorb-test-no_tasking_poa
EXAMPLES_EXE += polyorb/polyorb-test-thread_pool
EXAMPLES_EXE += polyorb/polyorb-test-no_tasking
EXAMPLES_EXE += corba/all_types/ir_server
EXAMPLES_EXE += corba/all_types/client_moma corba/all_types/dynclient
EXAMPLES_EXE += corba/all_types/server corba/all_types/client
EXAMPLES_EXE += corba/echo/dynserver corba/echo/dynclient
EXAMPLES_EXE += corba/echo/server corba/echo/client
EXAMPLES_EXE += corba/all_functions/dynclient
EXAMPLES_EXE += corba/all_functions/server corba/all_functions/client
EXAMPLES_EXE += corba/thread_pool_tester/server corba/thread_pool_tester/client
EXAMPLES_EXE += corba/random/server corba/random/client
EXAMPLES_EXE += corba/send/listener corba/send/send

override_dh_auto_build-arch: | $(DIRS)
	$(CC) -c -o STATIC/src/csupport.o -Isrc $(CFLAGS) src/csupport.c
	$(CC) -c -o DYNAMIC/src/csupport.o -Isrc $(CFLAGS) -fPIC src/csupport.c
	cp src/src.exclude STATIC/src
	cp src/src.exclude DYNAMIC/src

	$(MAKE) \
		ADAFLAGS="-XLibversion=$(soversion) -XLibtype=STATIC $(ADAFLAGS)" \
		PARALLEL_GNATMAKE_FLAGS="$(BUILDER_OPTIONS)"
	$(MAKE) \
		ADAFLAGS="-XLibversion=$(soversion) -XLibtype=DYNAMIC $(ADAFLAGS)" \
		PARALLEL_GNATMAKE_FLAGS="$(BUILDER_OPTIONS)"

# if you really want to run the test suite
run_testsuite:
	$(MAKE) examples

	rm -f testsuite/test_failed
	$(MAKE) testsuite

	cp -f src/moma/destinations.conf testsuite
	$(MAKE) run_tests

# remove .o .ali and exe in examples dir before doc inclusion
clean_examples_dir:
	find examples -name "*.o" -delete
	find examples -name "*.ali" -delete
	find examples -name "b~*.ad[sb]" -delete
	for i in $(EXAMPLES_EXE); do \
	   rm -f examples/$$i; \
	done

override_dh_auto_build-indep: | $(DIRS)
	$(MAKE) -C docs

override_dh_auto_install-indep:clean_examples_dir
	$(MAKE) -C docs prefix=$(CURDIR)/debian/tmp/usr install-data-local

override_dh_auto_clean:clean_examples_dir
	[ ! -f docs/Makefile ] || $(MAKE) -C docs clean
	[ ! -f Makefile ] || $(MAKE) distclean
	rm -rf STATIC DYNAMIC ali
	rm -f $(wildcard mkdir.flag b~*.ad[sb])

override_dh_auto_install-arch:
	$(MAKE) prefix=$(CURDIR)/debian/tmp/usr install

	cp debian/addon/polyorb.gpr debian/tmp/usr/share/ada/adainclude
	mkdir -p debian/tmp/usr/lib/$(DEB_HOST_MULTIARCH)
	cp $(debian_libdir)/*.a debian/tmp/usr/lib/$(DEB_HOST_MULTIARCH)

	for lib in `ls $(debian_libdir)/lib*.so.$(soversion)`; do \
		cp $$lib debian/tmp/usr/lib/$(DEB_HOST_MULTIARCH); \
		ln -sf `basename $$lib` \
			$(debian_libdir)/$(DEB_HOST_MULTIARCH)/`basename $$lib | cut -d. -f1`.so; \
	done;

	rm debian/tmp/usr/share/ada/adainclude/polyorb/*soap*.ad[sb]
	rm debian/tmp/usr/share/ada/adainclude/polyorb/*aws*.ad[sb]

override_dh_compress-arch:
	dh_compress -X.ads -X.adb -XMakefile

override_dh_strip-arch:
	dh_strip --dbg-package=libpolyorb-dbg

.PHONY: build clean binary-indep binary-arch binary install
